<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>cats</title>
  </head>
  <body>
    <div class="container">
      <h1>Cats are cute.</h1>
      <div>
        <h1>Add your favourite cats</h1>
        <form action="/" method="POST" autocomplete="off">
          <label for="name">Cats Name</label>
          <input
            name="Cat_Name"
            placeholder="max length 10"
            maxlength="10"
            type="text"
            id="name"
            required
          />
          <label for="breed">Cats Breed</label>
          <input
            name="Cat_Breed"
            placeholder="max length 10"
            maxlength="10"
            type="text"
            id="breed"
            required
          />
          <label for="age">Cats Age</label>
          <input
            name="Age"
            max="30"
            placeholder="age in years <=30"
            type="number"
            id="age"
            required
          />

          <input type="submit" value="Add Cat" />
        </form>
        <h1>Delete you cat with the id</h1>
        <label for="del_id">Delete_id</label>
        <input type="number" required id="del_id" />
        <button class="btn">Delete_id</button>

        <h1>Update your favourite cats</h1>
        <form action="" autocomplete="off" id="form">
          <label for="name">Cats Name</label>
          <input
            name="Cat_Name"
            placeholder="max length 10"
            maxlength="10"
            type="text"
            id="name"
            required
          />
          <label for="breed">Cats Breed</label>
          <input
            name="Cat_Breed"
            placeholder="max length 10"
            maxlength="10"
            type="text"
            id="breed"
            required
          />
          <label for="age">Cats Age</label>
          <input
            name="Age"
            max="30"
            placeholder="age in years <=30"
            type="number"
            id="age"
            required
          />

          <label for="upd_id">Update_id</label>
          <input type="number" required id="upd_id" />
          
        </form>
        <button class="btn_u">Update_id</button>
      </div>
    </div>
    <script>
      const trashcan = document.querySelector(".btn");
      const del_id = document.getElementById("del_id");
      
      const data = new URLSearchParams();
    
      trashcan.addEventListener("click", (e) => {
        
        
        const endpoint = `/:${del_id.value}`;

        fetch(endpoint, {
          method: "DELETE",
          
        });
      });

      const edit = document.querySelector(".btn_u");
      const upd_id = document.getElementById("upd_id");

      edit.addEventListener("click", (e) => {
        for (const pair of new FormData(document.getElementById("form"))) {
            console.log(pair[0],pair[1])
            data.append(pair[0], pair[1]);
        }
        const endpoint = `/:${upd_id.value}`;

        fetch(endpoint, {
          method: "PUT",
          body: data,
        });
      });
    </script>
  </body>
</html>
